## python-venusian 0.9

=== debian/changelog ===
python-venusian (0.9-1) unstable; urgency=low

  * New upstream release

 -- TANIGUCHI Takaki <takaki@debian.org>  Mon, 20 Jun 2011 10:45:34 +0900

python-venusian (0.7-4) unstable; urgency=low

  * Team upload.
  * Add python-nose to Build-Depends (Closes: #625126) 
  * Standards-Version bumped to 3.9.2 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 22 May 2011 00:17:16 +0200

python-venusian (0.7-3) unstable; urgency=low

  * Team upload.
  * Rebuild to add Python 2.7 support

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 08 May 2011 16:45:36 +0200

python-venusian (0.7-2) unstable; urgency=low

  * debian/copyright: Add copyright infomation.  (Closes: #612791)

 -- TANIGUCHI Takaki <takaki@debian.org>  Tue, 05 Apr 2011 23:12:08 +0900

python-venusian (0.7-1) unstable; urgency=low

  * New upstream release
  * debian/rules: switch to dh_python2 

 -- TANIGUCHI Takaki <takaki@debian.org>  Mon, 21 Mar 2011 11:38:02 +0900

python-venusian (0.6-1) unstable; urgency=low

  * New upstream release
  * debian/clean: Added. 

 -- TANIGUCHI Takaki <takaki@debian.org>  Fri, 11 Feb 2011 12:45:41 +0900

python-venusian (0.4-1) unstable; urgency=low

  * Initial release (Closes: #604998)

 -- TANIGUCHI Takaki <takaki@debian.org>  Fri, 26 Nov 2010 10:23:39 +0900

## python-venusian 3.1.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line, and also
# from the environment for the first two.
SPHINXOPTS    ?= -W
SPHINXBUILD   ?= sphinx-build
SOURCEDIR     = source
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html web pickle htmlhelp latex changes linkcheck

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  pickle    to make pickle files (usable by e.g. sphinx-web)"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview over all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	mkdir -p $(BUILDDIR)/html $(BUILDDIR)/doctrees
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

text:
	mkdir -p $(BUILDDIR)/text $(BUILDDIR)/doctrees
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/text."

pickle:
	mkdir -p $(BUILDDIR)/pickle $(BUILDDIR)/doctrees
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files or run"
	@echo "  sphinx-web $(BUILDDIR)/pickle"
	@echo "to start the sphinx-web server."

web: pickle

htmlhelp:
	mkdir -p $(BUILDDIR)/htmlhelp $(BUILDDIR)/doctrees
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

latex:
	mkdir -p $(BUILDDIR)/latex $(BUILDDIR)/doctrees
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	cp _static/*.png $(BUILDDIR)/latex
	./convert_images.sh
	cp _static/latex-warning.png $(BUILDDIR)/latex
	cp _static/latex-note.png $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	mkdir -p $(BUILDDIR)/changes $(BUILDDIR)/doctrees
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	mkdir -p $(BUILDDIR)/linkcheck $(BUILDDIR)/doctrees
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

## python-venusian 1.0a2

=== debian/changelog ===
python-venusian (1.0a2-1~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Ansgar Burchardt <ansgar@debian.org>  Sun, 30 Oct 2011 13:33:18 +0100

python-venusian (1.0a2-1) unstable; urgency=low

  * New upstream release

 -- TANIGUCHI Takaki <takaki@debian.org>  Thu, 06 Oct 2011 21:23:38 +0900

python-venusian (1.0a1-1) unstable; urgency=low

  * New upstream release

 -- TANIGUCHI Takaki <takaki@debian.org>  Sun, 02 Oct 2011 17:35:16 +0900

=== debian/control ===
Source: python-venusian
Section: python
Priority: extra
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: TANIGUCHI Takaki <takaki@debian.org>
Build-Depends: debhelper (>= 7.0.50~), 
	python-all(>= 2.6.6-3),
	python-setuptools,
	python-nose
Standards-Version: 3.9.2
Homepage: http://www.repoze.org
Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-venusian/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-venusian/trunk/

Package: python-venusian
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Description: library for deferring decorator actions
 Venusian is a library which allows framework authors to defer decorator
 actions. Instead of taking actions when a function (or class) decorator is
 executed at import time, you can defer the action usually taken by the
 decorator until a separate "scan" phase.

## python-venusian 1.0a3

=== debian/changelog ===
python-venusian (1.0a3-1) unstable; urgency=low

  * New upstream release
  * Bump standards version to 3.9.3.
    + Update debian/copyright URI. 

 -- TANIGUCHI Takaki <takaki@debian.org>  Sun, 26 Feb 2012 19:01:07 +0900

## python-venusian 1.0a6

=== debian/changelog ===
python-venusian (1.0a6-1) unstable; urgency=low

  * New upstream release

 -- TANIGUCHI Takaki <takaki@debian.org>  Wed, 09 May 2012 11:29:07 +0900

python-venusian (1.0a3-2) unstable; urgency=low

  * Oops, update debian/copyright URI, again.

 -- TANIGUCHI Takaki <takaki@debian.org>  Sun, 26 Feb 2012 19:06:56 +0900

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 	python-all(>= 2.6.6-3),
 	python-setuptools,
 	python-nose
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://www.repoze.org
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-venusian/trunk
 Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-venusian/trunk/

## python-venusian 1.0a8

=== debian/changelog ===
python-venusian (1.0a8-3) unstable; urgency=medium

  [ SVN-Git Migration ]
  * git-dpm config
  * Update Vcs fields for git migration

  [ TANIGUCHI Takaki ]
  * Bump Standards-Version 3.9.6.
  * debian/watch: Switch to pypy.debian.net.

 -- TANIGUCHI Takaki <takaki@debian.org>  Wed, 25 Nov 2015 23:53:41 +0900

python-venusian (1.0a8-2) unstable; urgency=medium

  * debian/control:
    - Bumped Standards-Version to 3.9.5 with no other changes necessary.
    - Added X-Python-Version and X-Python3-Version headers.
    - Added python3-venusian binary package.
    - Added Python 3 Build-Depends.
    - wrap-and-sort
  * debian/rules:
    - Convert to --buildsystem=pybuild
    - Override default pybuild auto tests.

 -- Barry Warsaw <barry@debian.org>  Thu, 19 Jun 2014 11:00:47 -0400

python-venusian (1.0a8-1) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ TANIGUCHI Takaki ]
  * New upstream release

 -- TANIGUCHI Takaki <takaki@debian.org>  Wed, 08 May 2013 18:41:58 +0900

=== debian/control ===
Source: python-venusian
Section: python
Priority: extra
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: TANIGUCHI Takaki <takaki@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
               dh-python,
               python-all (>= 2.6.6-3),
               python-nose,
               python-nose-exclude,
               python-setuptools,
               python3-all,
               python3-nose,
               python3-nose-exclude,
               python3-setuptools
Standards-Version: 3.9.6
Homepage: http://www.repoze.org
Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-venusian.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-venusian.git
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.3

Package: python-venusian
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Provides: ${python:Provides}
Description: library for deferring decorator actions
 Venusian is a library which allows framework authors to defer decorator
 actions. Instead of taking actions when a function (or class) decorator is
 executed at import time, you can defer the action usually taken by the
 decorator until a separate "scan" phase.
 .
 This is the Python 2 version.

Package: python3-venusian
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Provides: ${python3:Provides}
Description: library for deferring decorator actions
 Venusian is a library which allows framework authors to defer decorator
 actions. Instead of taking actions when a function (or class) decorator is
 executed at import time, you can defer the action usually taken by the
 decorator until a separate "scan" phase.
 .
 This is the Python 3 version.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=venusian

%:
	dh $@  --with python2,python3 --buildsystem=pybuild

override_dh_auto_test:
	PYBUILD_SYSTEM=custom \
	PYBUILD_TEST_ARGS="{interpreter} setup.py nosetests" dh_auto_test

## python-venusian 1.1.0

=== debian/changelog ===
python-venusian (1.1.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ TANIGUCHI Takaki ]
  * New upstream version 1.1.0
  * debian/control: Add python-pytest-conv to B-D.
  * debian/rules: Run pytest.
  * debian/compat: Bump to 10.
  * debian/docs: Add README.rst
  * Bump Standards-Version to 4.0.0

 -- TANIGUCHI Takaki <takaki@debian.org>  Tue, 04 Jul 2017 14:46:39 +0900

=== debian/control ===
--- 
+++ 
@@ -3,19 +3,17 @@
 Priority: extra
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: TANIGUCHI Takaki <takaki@debian.org>
-Build-Depends: debhelper (>= 7.0.50~),
+Build-Depends: debhelper (>= 10),
                dh-python,
                python-all (>= 2.6.6-3),
-               python-nose,
-               python-nose-exclude,
                python-setuptools,
                python3-all,
-               python3-nose,
-               python3-nose-exclude,
                python3-setuptools
-Standards-Version: 3.9.6
+               , python-pytest-cov
+               , python3-pytest-cov
+Standards-Version: 4.0.0
 Homepage: http://www.repoze.org
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-venusian.git
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-venusian.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-venusian.git
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.3

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=venusian
export PYBUILD_TEST_PYTEST=1
export PYBUILD_TEST_ARGS={dir}/venusian/tests/

%:
	dh $@  --with python2,python3 --buildsystem=pybuild

=== debian/watch ===
version=3
http://pypi.debian.net/venusian/venusian-(.*)\.tar\.gz

## python-venusian 1.2.0

=== debian/changelog ===
python-venusian (1.2.0-2) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Andrey Rahmatullin ]
  * Drop Python 2 support (Closes: #938247).

 -- Andrey Rahmatullin <wrar@debian.org>  Fri, 27 Sep 2019 00:57:43 +0500

python-venusian (1.2.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/watch: Use https protocol
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout

  [ TANIGUCHI Takaki ]
  * New upstream version 1.2.0
  * Bump Stanrads-Version to 4.3.0
  * debian/compat: 12

 -- TANIGUCHI Takaki <takaki@debian.org>  Wed, 27 Feb 2019 17:05:53 +0900

=== debian/control ===
Source: python-venusian
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: TANIGUCHI Takaki <takaki@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-setuptools
               , python3-pytest-cov
Standards-Version: 4.4.0
Homepage: http://www.repoze.org
Vcs-Git: https://salsa.debian.org/python-team/modules/python-venusian.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-venusian

Package: python3-venusian
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Provides: ${python3:Provides}
Description: library for deferring decorator actions
 Venusian is a library which allows framework authors to defer decorator
 actions. Instead of taking actions when a function (or class) decorator is
 executed at import time, you can defer the action usually taken by the
 decorator until a separate "scan" phase.
 .
 This is the Python 3 version.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=venusian
export PYBUILD_TEST_PYTEST=1
export PYBUILD_TEST_ARGS={dir}/venusian/tests/

%:
	dh $@  --with python3 --buildsystem=pybuild

## python-venusian 3.0.0

=== debian/changelog ===
python-venusian (3.0.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.5.1, no changes needed.

 -- Sandro Tosi <morph@debian.org>  Sat, 04 Jun 2022 16:02:35 -0400

python-venusian (3.0.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ TANIGUCHI Takaki ]
  * d/control: Update Homepage URL.
  * Add CI config
  * New upstream version 3.0.0
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * debian/rules: Don't run coverage

 -- TANIGUCHI Takaki <takaki@debian.org>  Sun, 05 Apr 2020 17:45:34 +0900

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: python-venusian
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: TANIGUCHI Takaki <takaki@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-setuptools
                , python3-pytest-cov
-Standards-Version: 4.4.0
-Homepage: http://www.repoze.org
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-venusian.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-venusian
+Standards-Version: 4.5.1
+Homepage: https://docs.pylonsproject.org/projects/venusian/en/latest/
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-venusian.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-venusian
 
 Package: python3-venusian
 Architecture: all

## python-venusian 3.1.0

=== debian/changelog ===
python-venusian (3.1.0-1) unstable; urgency=medium

  * New upstream version 3.1.0

 -- TANIGUCHI Takaki <takaki@debian.org>  Tue, 14 Nov 2023 11:06:32 +0900

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                python3-all,
                python3-setuptools
                , python3-pytest-cov
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Homepage: https://docs.pylonsproject.org/projects/venusian/en/latest/
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-venusian.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-venusian

=== debian/watch ===
version=3
https://pypi.debian.net/venusian/venusian-(.*)\.tar\.gz

## python-venusian 3.1.1

=== debian/changelog ===
python-venusian (3.1.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Enable autopkgtest-pkg-pybuild.

 -- Colin Watson <cjwatson@debian.org>  Wed, 04 Dec 2024 09:47:03 +0000

python-venusian (3.1.0-2) unstable; urgency=medium

  * Team upload.
  * Accommodate FrameLocalsProxy introduction in Python 3.13 (closes:
    #1082279).
  * Use pybuild-plugin-pyproject.

 -- Colin Watson <cjwatson@debian.org>  Wed, 06 Nov 2024 02:58:08 +0000

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Uploaders: TANIGUCHI Takaki <takaki@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-setuptools
                , python3-pytest-cov
@@ -12,6 +13,7 @@
 Homepage: https://docs.pylonsproject.org/projects/venusian/en/latest/
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-venusian.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-venusian
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-venusian
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=venusian
export PYBUILD_TEST_PYTEST=1
export PYBUILD_TEST_ARGS=--no-cov
#export PYBUILD_TEST_ARGS={dir}/venusian/tests/

%:
	dh $@  --with python3 --buildsystem=pybuild
